OpenVDB 11.0.0

Loading...
Searching...
No Matches
Classes | Namespaces | Functions
Formats.h File Reference

Utility routines to output nicely-formatted numeric values. More...

`#include <iosfwd>`
`#include <sstream>`
`#include <string>`
`#include <openvdb/version.h>`
`#include <openvdb/Platform.h>`

Go to the source code of this file.

## Classes
class | FormattedInt< IntT >
| I/O manipulator that formats integer values with thousands separators. More...

## Namespaces
namespace | openvdb
namespace | openvdb::v11_0
namespace | openvdb::v11_0::util

## Functions
OPENVDB_API int | printBytes (std::ostream &os, uint64_t bytes, const std::string &head="", const std::string &tail="\n", bool exact=false, int width=8, int precision=3)
OPENVDB_API int | printNumber (std::ostream &os, uint64_t number, const std::string &head="", const std::string &tail="\n", bool exact=true, int width=8, int precision=3)
OPENVDB_API int | printTime (std::ostream &os, double milliseconds, const std::string &head="", const std::string &tail="\n", int width=4, int precision=1, int verbose=0)
template<typename IntT >
std::ostream & | operator<< (std::ostream &os, const FormattedInt< IntT > &n)
template<typename IntT >
FormattedInt< IntT > | formattedInt (IntT n)

## Detailed Description

Utility routines to output nicely-formatted numeric values.

Author
  Ken Museth